%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:		jboss-logging-spi
Version:	2.1.1
Release:	1%{?dist}
Summary:	JBoss Logging Programming Interface

Group:		Development/Libraries
License:	LGPLv2.1+
URL:		http://www.jboss.org

# svn export http://anonsvn.jboss.org/repos/common/common-logging-spi/tags/2.1.1.GA jboss-loggin-spi-2.1.1.GA
# Exported revision 4907.
# tar czf jboss-logging-spi-2.1.1.GA.tar.gz jboss-logging-spi-2.1.1.GA

Source0:	%{name}-%{namedversion}.tar.gz

BuildArch:	noarch

BuildRequires:	jpackage-utils
BuildRequires:	java-devel
BuildRequires:	maven
BuildRequires:	maven-compiler-plugin
BuildRequires:	maven-install-plugin
BuildRequires:	maven-jar-plugin
BuildRequires:	maven-javadoc-plugin
BuildRequires:	maven-release-plugin
BuildRequires:	maven-resources-plugin
BuildRequires:	maven-surefire-plugin

Requires:	jpackage-utils
Requires:	java

%description
The JBoss Logging Framework Programming Interface

%package javadoc
Summary:	Javadocs for %{name}
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom

%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Wed Dec 28 2011 Ricardo Arguello <ricardo@fedoraproject.org> 2.1.1-1
- Initial packaging
